For the complete documentation index, see llms.txt. This page is also available as Markdown.

Tax Code

Viewing all tax codes

get

To view all tax codes:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Responses
200

Successful response

application/json
pageTokenstringOptional
requestedPageSizeintegerOptional
itemCountintegerOptional
get/api/v2/taxCode
GET /api/v2/taxCode HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "pageToken": "0",
  "requestedPageSize": 50,
  "itemCount": 3,
  "items": [
    {
      "taxCodeId": 1,
      "taxCode": "STANDARD",
      "name": "The company is local to the legal billing entity (where the company is billed from), standard tax rates apply.",
      "title": "STANDARD",
      "status": "active"
    },
    {
      "taxCodeId": 2,
      "taxCode": "ESZ",
      "name": "The company is based within the European Union, EU tax rates apply.",
      "title": "ESZ",
      "status": "setup"
    },
    {
      "taxCodeId": 3,
      "taxCode": "ZERO",
      "name": "The company is neither local, nor in the European Union, and is therefore tax exempt.",
      "title": "ZERO",
      "status": "active"
    }
  ]
}

Creating a new tax code

post

To create a new tax code:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
taxCodestringRequired
namestringRequired
titlestringRequired
Responses
200

Successful response

No content

post/api/v2/taxCode
POST /api/v2/taxCode HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 47

{
  "taxCode": "text",
  "name": "text",
  "title": "text"
}
200

Successful response

No content

Viewing a specific tax code

get

To view details for a specific tax code:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taxCodeIdstringRequired
Responses
200

Successful response

application/json
taxCodeIdstringOptional
taxCodestringOptional
namestringOptional
titlestringOptional
statusstringOptional
get/api/v2/taxCode/{taxCodeId}
GET /api/v2/taxCode/{taxCodeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Successful response

{
  "taxCodeId": "2",
  "taxCode": "ESZ",
  "name": "The company is based within the European Union, EU tax rates apply.",
  "title": "ESZ",
  "status": "setup"
}

Updating a specific tax code

patch

To update a specific tax code:

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taxCodeIdstringRequired
Body
namestringOptional
titlestringOptional
statusstringOptional
Responses
200

Successful response

application/json
taxCodeIdstringOptional
taxCodestringOptional
namestringOptional
titlestringOptional
statusstringOptional
patch/api/v2/taxCode/{taxCodeId}
PATCH /api/v2/taxCode/{taxCodeId} HTTP/1.1
Host: portfolio.api.anynetiot.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 46

{
  "name": "text",
  "title": "text",
  "status": "text"
}
200

Successful response

{
  "taxCodeId": "2",
  "taxCode": "ESZ",
  "name": "The company is based within the European Union, EU tax rates apply.",
  "title": "ESZ",
  "status": "active"
}

Last updated

Was this helpful?